<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;

?>
<script type="text/javascript">
  jQuery(document).ready(function ($) {
    jQuery('#wtotem-activation-form').on('submit', function (e) {

      jQuery('#activate_btn').addClass('active');

      var ajaxurl = '<?php echo $variables['ajax_url']?>';
      e.preventDefault();

      jQuery.post( ajaxurl, {

        ajax_action: 'activation',
        api_key: jQuery('#api_key').val(),

      }, function (response) {

        var data = JSON.parse(response);
        jQuery('#wtotem_notifications').html(data.notifications);
        if(data.success){
          window.open(data.link, '_self');
        }

        jQuery('#activate_btn').removeClass('active');
      });
    });
  });
</script>


<script>
  var WTOTEM = {
    LANG: "<?php echo  $variables['lang'] ?>",
    SUNDAY: "<?php echo \JText::_('WTOTEM_SUNDAY') ?>",
    MONDAY: "<?php echo \JText::_('WTOTEM_MONDAY') ?>",
    TUESDAY: "<?php echo \JText::_('WTOTEM_TUESDAY') ?>",
    WEDNESDAY: "<?php echo \JText::_('WTOTEM_WEDNESDAY') ?>",
    THURSDAY: "<?php echo \JText::_('WTOTEM_THURSDAY') ?>",
    FRIDAY: "<?php echo \JText::_('WTOTEM_FRIDAY') ?>",
    SATURDAY: "<?php echo \JText::_('WTOTEM_SATURDAY') ?>",
    JAN: "<?php echo \JText::_('WTOTEM_JAN') ?>",
    FEB: "<?php echo \JText::_('WTOTEM_FEB') ?>",
    MAR: "<?php echo \JText::_('WTOTEM_MAR') ?>",
    APR: "<?php echo \JText::_('WTOTEM_APR') ?>",
    MAY: "<?php echo \JText::_('WTOTEM_MAY') ?>",
    JUN: "<?php echo \JText::_('WTOTEM_JUN') ?>",
    JUL: "<?php echo \JText::_('WTOTEM_JUL') ?>",
    AUG: "<?php echo \JText::_('WTOTEM_AUG') ?>",
    SEP: "<?php echo \JText::_('WTOTEM_SEP') ?>",
    OCT: "<?php echo \JText::_('WTOTEM_OCT') ?>",
    NOV: "<?php echo \JText::_('WTOTEM_NOV') ?>",
    DEC: "<?php echo \JText::_('WTOTEM_DEC') ?>",
    JANUARY: "<?php echo \JText::_('WTOTEM_JANUARY') ?>",
    FEBRUARY: "<?php echo \JText::_('WTOTEM_FEBRUARY') ?>",
    MARCH: "<?php echo \JText::_('WTOTEM_MARCH') ?>",
    APRIL: "<?php echo \JText::_('WTOTEM_APRIL') ?>",
    JUNE: "<?php echo \JText::_('WTOTEM_JUNE') ?>",
    JULY: "<?php echo \JText::_('WTOTEM_JULY') ?>",
    AUGUST: "<?php echo \JText::_('WTOTEM_AUGUST') ?>",
    SEPTEMBER: "<?php echo \JText::_('WTOTEM_SEPTEMBER') ?>",
    OCTOBER: "<?php echo \JText::_('WTOTEM_OCTOBER') ?>",
    NOVEMBER: "<?php echo \JText::_('WTOTEM_NOVEMBER') ?>",
    DECEMBER: "<?php echo \JText::_('WTOTEM_DECEMBER') ?>",
    YEAR: "<?php echo \JText::_('WTOTEM_YEAR') ?>",
    HOUR: "<?php echo \JText::_('WTOTEM_HOUR') ?>",
    MINUTE: "<?php echo \JText::_('WTOTEM_MINUTE') ?>",
    COUNTRIES_BLOCKED_FROM: "<?php echo \JText::_('WTOTEM_COUNTRIES_BLOCKED_FROM') ?>",
    SELECT_ALL: "<?php echo \JText::_('WTOTEM_SELECT_ALL') ?>",
    ATTACK_FROM: "<?php echo \JText::_('WTOTEM_ATTACK_FROM') ?>",

    ASIA: "<?php echo \JText::_('WTOTEM_ASIA') ?>",
    EUROPE: "<?php echo \JText::_('WTOTEM_EUROPE') ?>",
    AFRICA: "<?php echo \JText::_('WTOTEM_AFRICA') ?>",
    OCEANIA: "<?php echo \JText::_('WTOTEM_OCEANIA') ?>",
    AMERICAS: "<?php echo \JText::_('WTOTEM_AMERICAS') ?>"
  };
</script>

<div class="wtotem_welcome-wrapper">

	<div class="wtotem_content">
		<div class="wtotem_container" id="wtotem_notifications">
            <?php include 'notifications.php'?>
		</div>
	</div>

	<div class="wtotem_welcome-wrapper__head-height">
		<div class="wtotem_modal">
			<h2 class="h2 wtotem_modal__subject">
				<?php echo \JText::_('WTOTEM_ACTIVATE_THE_PLUGIN'); ?>
			</h2>

			<form action="" method="post" class="wtotem_modal__window wt_card" id="wtotem-activation-form">
				<h3 class="wtotem_modal__title">
					<?php echo \JText::_('WTOTEM_WELCOME_FRIEND'); ?>
				</h3>
				<p class="wtotem_modal__text">
					<?php echo \JText::_('WTOTEM_SIGN_IN_TO_CONTINUE_TO_WEBTOTEM'); ?>
				</p>
				<div class="wtotem_modal__block">
					<img src="<?php echo $variables['images_path'] ?>logo-circle.svg" alt="WebTotem logo" class="wtotem_modal__logo" />
				</div>
				<div class="wtotem_modal__wrap">
					<input name="api_key" id="api_key" type="text" class="wtotem_modal__api-key" placeholder="<?php echo \JText::_('WTOTEM_API_KEY_CODE'); ?>" required />
				</div>
				<button class="wtotem_modal__btn" id="activate_btn" type="submit">
					<?php echo \JText::_('WTOTEM_ACTIVATE'); ?>
				</button>
			</form>

			<p class="wtotem_modal__desc">
                <?php echo sprintf(\JText::_('WTOTEM_YOU_CAN_RECEIVE_THE_KEYS'), 'https://wtotem.com/cabinet/profile/keys'); ?>
                <?php echo sprintf(\JText::_('WTOTEM_OR_READ_THE_ACTIVATION_MANUAL'), 'https://docs.wtotem.com/plugin-for-wordpress#vy-to-activate-the-plugin'); ?>
			</p>

		</div>
	</div>

	<?php include 'footer.php'?>
</div>