<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_footer">
	<div class="wtotem_container">
		<div class="wtotem_footer__first">
			<div class="wtotem_footer__caption" style="width: 100%">
				<div class="wtotem_footer__logo"></div>
				<div class="wtotem_footer__text" style="display: flex; width: 100%">
					<p><?php echo \JText::_('WTOTEM_FOOTER_SLOGAN'); ?></p>
                    <p style="margin-left: auto;">Version <?php echo WEBTOTEM_VERSION; ?></p>
				</div>
			</div>
		</div>

		<div class="wtotem_footer__line"></div>

		<div class="wtotem_footer__bottom">
			<div class="wtotem_footer__left">
				<p class="wtotem_footer__text">
					© 2017-<?php echo $variables['current_year'] ?> <?php echo \JText::_('WTOTEM_ALL_RIGHTS'); ?>
				</p>
			</div>
			<div class="wtotem_footer__soc">
				<a target="_blank" href="https://www.facebook.com/webtotem" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>fc.svg" alt="Facebook icon" />
				</a>
				<a target="_blank" href="https://www.linkedin.com/company/wtotem/" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>lk.svg" alt="Linkedin icon" />
				</a>
				<a target="_blank" href="https://www.youtube.com/channel/UCD-n_NIXTOmw4Nm-LcmW1XA/featured" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>youtube.svg" alt="Youtube icon" />
				</a>
			</div>
			<div class="wtotem_footer__payment">
				<img class="wtotem_footer__card wtotem_footer__card_visa" src="<?php echo $variables['images_path'] ?>visa.svg" alt="Visa"/>
				<img class="wtotem_footer__card wtotem_footer__card_master" src="<?php echo $variables['images_path'] ?>master-card.svg" alt="Master wt_card"/>
				<img class="wtotem_footer__card wtotem_footer__card_payPal" src="<?php echo $variables['images_path'] ?>paypal.svg" alt="PayPal"/>
			</div>
		</div>
	</div>
</div>


<?php if($variables['user_feedback'] == false and $variables['page'] != 'activation'): ?>
    <script type="text/javascript">
        jQuery(document).ready(function ($) {
            var ajaxurl = '<?php echo $variables['ajax_url']?>';

            jQuery('#user-feedback-submit').on('click', function (e) {

                e.preventDefault();
                let user_score = jQuery('input[name="rating"]:checked').val() ?? 1;
                let feedback =  jQuery('.user-feedback__comment').val();

                jQuery.post(ajaxurl, {

                    action: 'wtotem_ajax',
                    ajax_action: 'user_feedback',
                    wtotem_page_nonce: '<?php echo $variables['page_nonce'] ?>',
                    score: user_score,
                    feedback: feedback,

                }, function (response) {
                    let data = JSON.parse(response);
                    if(data.success){
                        jQuery('.user-feedback').html(data.content).css("width", "220px");
                    }

                    jQuery('#wtotem_notifications').html(data.notifications);

                });

            });

            jQuery('body').on('click', '#user-feedback-close, #user-feedback-ok', function (e) {
                jQuery('.user-feedback').hide();
            });

        });
    </script>

    <div class="user-feedback">
        <div class="user-feedback__header">
            <div>
                <p class="user-feedback__title"><?php echo \JText::_('WTOTEM_ALL_RIGHTS'); ?></p>
            </div>
            <button id="user-feedback-close" class="user-feedback__close-btn" type="button">
                <img width="10px" height="10px" src="<?php echo $variables['images_path'] ?>plus_dark.svg" class="svg-icon">
            </button>
        </div>
        <div class="user-feedback__stars">

            <div class="star-container">
                <div class="rating-area">
                    <input type="radio" id="star-5" name="rating" value="5">
                    <label for="star-5"></label>
                    <input type="radio" id="star-4" name="rating" value="4">
                    <label for="star-4"></label>
                    <input type="radio" id="star-3" name="rating" value="3">
                    <label for="star-3"></label>
                    <input type="radio" id="star-2" name="rating" value="2">
                    <label for="star-2"></label>
                    <input type="radio" id="star-1" name="rating" value="1">
                    <label for="star-1"></label>
                </div>
            </div>

        </div>
        <div class="user-feedback__additional">
            <p class="user-feedback__additional-title"><?php echo \JText::_('WTOTEM_ADDITIONAL_FEEDBACK'); ?></p>
            <textarea class="user-feedback__comment" placeholder="<?php echo \JText::_('WTOTEM_TYPE_HERE'); ?>"></textarea>
        </div>
        <button type="submit" id="user-feedback-submit" class="wtotem_control__btn user-feedback__submit-btn wt-text wt-text--uppercase"><?php echo \JText::_('WTOTEM_SUBMIT_FEEDBACK'); ?></button>
    </div>
<?php endif ?>