<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_monitoring" id="monitoring">
    <div class="wtotem_table wt_card">
        <div class="wtotem_table__row">
            <div class="wtotem_table__col" <?php if($variables['domain'] == false ):?>style="width: 50%"<?php endif; ?>>
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
                        SSL
                        <span class="wtotem_title-info__info wtotem-tooltip">
                            <span class="wtotem-tooltip__content">
                                <span class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_SSL_MODULE') ?></span>
                                <span class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_SSL_MODULE_DESC') ?></span>
                            </span>
                        </span>
                    </h3>
                </div>
                <?php if($variables['ssl']['status']['name'] == 'pending' or $variables['ssl'] == null):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>
                    <div class="wtotem_table__td">
                        <div class="wtotem_table__expired">
                            <span class="<?php echo $variables['ssl']['status']['class'] ?>">
                              <?php echo $variables['ssl']['status']['text'] ?>
                            </span>
                        </div>
                    </div>


                    <?php if($variables['ssl']['days_left']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
                              <?php echo \JText::_('WTOTEM_CERT_NAME') ?>
                            </h3>
                            <div class="wtotem_table__text">
                              <?php echo $variables['ssl']['cert_name'] ?>
                            </div>
                        </div>
                   <?php endif; ?>

                    <?php if($variables['ssl']['days_left']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_DAYS_LEFT') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['days_left'] ?>
                            </div>
                        </div>

                    <?php endif; ?>
                    <?php if($variables['ssl']['issue_date']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_ISSUE_DATE') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['issue_date'] ?>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php if($variables['ssl']['expiry_date']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_EXPIRY_DATE') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['expiry_date'] ?>
                            </div>
                        </div>
                    <?php endif; ?>

                <?php endif; ?>
            </div>

            <?php if($variables['domain'] != false ):?>
            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
	                    <?php echo \JText::_('WTOTEM_DOMAIN') ?>
                    </h3>
                </div>

                <?php if($variables['domain']['status']['name']  ==  'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>
                    <div class="wtotem_table__item">
                        <div class="wtotem_table__wrap_big">
                            <img src="<?php echo $variables['domain']['status']['image']?>" class="wtotem_table__img"/>
                        </div>
                    </div>

                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject"><?php echo \JText::_("WTOTEM_PRESENCE_OF_THE_SITE") ?></h3>
                        <div class="wtotem_table__text">
                            <img width="18px" height="18px" src="<?php echo $variables['images_path'] ?><?php if($variables['domain']['is_taken']):?>check.svg<?php else: ?>minus.svg<?php endif; ?>" class="svg-icon">
                        </div>
                    </div>

                  <?php if($variables['domain']['redirect_link']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject"><?php echo \JText::_("WTOTEM_REDIRECT") ?></h3>
                            <div class="wtotem_table__text"><?php echo $variables['domain']['redirect_link']?></div>
                        </div>
                  <?php endif; ?>

                  <?php if($variables['domain']['ips']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject"><?php echo \JText::_("WTOTEM_IP_ADDRESS") ?></h3>
                            <div class="wtotem_table__text">
                                <select name="ip" aria-label="ip" class="wtotem_select__inner" data-testid="select-ip">
                                  <?php foreach ($variables['domain']['ips'] as $item): ?>
                                      <option value="<?php echo $item['ip']?>"><?php echo $item['ip']?>, <?php echo $item['location']?></option>
                                  <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                  <?php endif; ?>

                  <?php if($variables['domain']['protection']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject"><?php echo \JText::_("WTOTEM_SITE_PROTECTION") ?></h3>
                            <div class="wtotem_table__text"><?php echo $variables['domain']['protection']?></div>
                        </div>
                  <?php endif; ?>


                  <?php if($variables['domain']['is_created_at']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject"><?php echo \JText::_("WTOTEM_CHECK_TIME") ?></h3>
                            <div class="wtotem_table__text"><?php echo $variables['domain']['created_at']?></div>
                        </div>
                  <?php endif; ?>


                <?php endif; ?>
            </div>
            <?php endif; ?>

            <div class="wtotem_table__col" <?php if($variables['domain'] == false ):?>style="width: 50%"<?php endif; ?>>
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title"><?php echo \JText::_('WTOTEM_REPUTATION') ?>
                        <div class="h3 wtotem_title-info__info wtotem-tooltip">
                            <div class="wtotem-tooltip__content">
                                <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_REPUTATION_MODULE') ?></p>
                                <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_REPUTATION_MODULE_DESC') ?></p>
                            </div>
                        </div>
                    </h3>
                </div>
                <?php if($variables['reputation']['status']['name'] == 'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>

                    <div class="wtotem_table__td">
                        <div class="wtotem_table__wrap">
                            <?php if($variables['reputation']['status']['image']):?>
                                <img src="<?php echo $variables['reputation']['status']['image'] ?>" class="wtotem_table__img"/>
                            <?php endif; ?>
                        </div>

                        <div class="wtotem_table__perfomance wtotem_table__perfomance_long wtotem-ml-20">
                            <?php echo $variables['reputation']['info'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_STATUS') ?>
                            <div class="wtotem_title-info__info wtotem-tooltip">
                                <div class="wtotem-tooltip__content">
                                    <?php echo $variables['reputation']['status']['tooltips'] ?>
                                </div>
                            </div>
                        </h3>
                        <div class="wtotem_table__status">
                            <?php echo $variables['reputation']['status']['text'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_DENY_LISTS_ENTRIES') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['reputation']['blacklists_entries'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_LAST_TEST') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['reputation']['last_test'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info"></div>
                <?php endif; ?>
            </div>
        </div>
        <div class="wtotem_table__footer">
            <a target="_blank" href="https://wtotem.com/faq/#hs-chat-open" class="wtotem_table__link">
                <div class="wtotem_table__perfomance">
                    <span><?php echo \JText::_('WTOTEM_NEED_MORE_SUPPORT') ?> <?php echo \JText::_('WTOTEM_LETS_TALK') ?></span>
                </div>
            </a>
        </div>
    </div>
</div>
