<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<div class="wt_card">
    <div class="open-path-details__header">
        <h1 class="h2 title"><?php echo \JText::_("WTOTEM_OPEN_PATHS_DETECTED") ?></h1>
    </div>

  <?php if ($variables['paths']):?>
      <div class="open-path-details__content">

        <?php foreach ($variables['paths'] as $path):?>

            <div class="open-path-details__item">
                <div class="open-path-details__item-header">
                    <div class="open-path-details__item-info">
                        <div>
                            <p>httpCode</p>
                            <p class="open-path-details__item-value"><?= $path['httpCode'] ?></p>
                        </div>
                        <div>
                            <p><?php echo \JText::_("WTOTEM_PATH") ?></p>
                            <p class="open-path-details__item-value"><?= $path['path'] ?></p>
                        </div>
                    </div>
                    <span class="open-path-details__status open-path-details__status--<?= $path['severity'] ?>"><?= ucfirst($path['severity']) ?></span>
                </div>
                <div class="open-path-details__item-action">
                    <p><?= $path['path'] ?></p>
                    <a href="<?= $path['path'] ?>" target="_blank" rel="noreferrer">
                        <img width="18px" height="18px" src="<?= $variables['images_path'] ?>link.svg" class="svg-icon">
                    </a>
                </div>
            </div>
        <?php endforeach; ?>
      </div>

  <?php else: ?>
      <!-- No data block -->
      <section class="wtotem_reports-no-data" style="height:400px" >
          <h2 class="h2 visually-hidden"><?php echo \JText::_("WTOTEM_NO_DATA") ?></h2>
          <p class="wtotem_reports-no-data__text">
            <?php echo \JText::_("WTOTEM_HAS_NO_ACTION_READY_YET") ?>
          </p>
      </section>
  <?php endif; ?>
</div>