<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<script type="text/javascript">
    jQuery(document).ready(function ($) {
        var ajaxurl = '<?php echo $variables['ajax_url']?>';
        jQuery('.wtotem_body').on('click', '.force_check', function (event) {

            event.preventDefault();
            let service = jQuery(this).data('service'),
                btn = jQuery(this);

            btn.find('img').addClass('wtotem_unit__img_spinner');

            jQuery.post(ajaxurl, {
                ajax_action: 'force_check',
                service: service,
            }, function (response) {
                var data = JSON.parse(response);
                btn.find('img').removeClass('wtotem_unit__img_spinner');
                if(service === 'ps'){
                    jQuery('#open_ports_wrap').html(data.open_ports_few);
                    jQuery('#port_result_list').html(data.open_ports);
                    jQuery('#ignore_ports_wrap').html(data.ignore_ports);
                    jQuery('#port_status').addClass(data.status.class).html(data.status.text);
                    jQuery('#port_last_check').html(data.last_test);
                } else if(service === 'ops'){
                    jQuery('#open_paths_wrap').html(data.open_paths);
                    jQuery('#ops_status').addClass(data.status.class).html(data.status.text);
                    jQuery('#ops_last_check').html(data.last_test);
                }

            });
        });

    });
</script>

<div class="wtotem_scanning" id="scanning" style="display: flex; justify-content: space-between;">
    <div class="wt_card" style="width: 49%;  padding: 20px">
        <div class="port__top">
            <div class="open-path__header">
                <h3 class="h3 wtotem_table__title wtotem_title-info__title">
                  <?php echo \JText::_("WTOTEM_OPEN_PORTS") ?>
                    <span class="wtotem_title-info__info wtotem-tooltip">
                        <span class="wtotem-tooltip__content">
                            <span class="wtotem-tooltip__header"><?php echo \JText::_("WTOTEM_OPEN_PORTS") ?> </span>
                            <span class="wtotem-tooltip__text"><?php echo \JText::_("WTOTEM_PORT_SCANNER_DESC") ?>  </span>
                        </span>
                    </span>
                </h3>


                <button class="open-path__force-check-btn force_check" data-service="ps">
                  <?php echo \JText::_("WTOTEM_FORCE_CHECK") ?>
                    <img width="18px" height="18px" src="<?= $variables['images_path']; ?>recheck.svg" class="svg-icon">
                </button>
            </div>

            <div class="port__last-check">
                <div class="port__last-status">
                    <p class="port__last-status-title"><?php echo \JText::_("WTOTEM_STATUS") ?> </p>
                    <p class="port__last-status-value <?= $variables['ports']['status']['class']; ?>" id="port_status"><?= $variables['ports']['status']['text']; ?></p>
                </div>
                <div class="port__last-check-date">
                    <p class="port__last-check-date-title"><?php echo \JText::_("WTOTEM_LAST_TEST") ?></p>
                    <p class="port__last-check-date-value" id="port_last_check"><?= $variables['ports']['last_test']; ?></p>
                </div>
            </div>
        </div>

      <?php if($variables['ports']['TCPResults']):?>
          <div class="port__result">
              <p class="port__result-title"><?php echo \JText::_("WTOTEM_OPEN_PORTS") ?></p>

              <div class="wt-stats__value port-scanner-ports">
                  <ul class="port__result-list" id="open_ports_wrap">
                    <?php if( $variables['ports']['TCPResults'] ):?>
                      <?php $more = true; ?>
                      <?php include 'open_ports.php' ?>
                    <?php endif ?>
                  </ul>
              </div>
          </div>

      <?php else : ?>
          <div class="open-path__no-data">
              <div class="open-path__no-data-text">
                  <p class="open-path__no-data-heading"><?php echo \JText::_("WTOTEM_EVERYTHING_IS_OK") ?></p>
                  <div class="open-path__no-data-status">
                      <img width="18px" height="18px" src="<?= $variables['images_path']; ?>everything-is-ok.svg" class="svg-icon">
                    <?php echo \JText::_("WTOTEM_NO_OPEN_PORTS_FOUND") ?>
                  </div>
              </div>
          </div>
      <?php endif ?>

    </div>

    <div class="wt_card"  style="width: 49%; padding: 20px">
        <div class="open-path__top">
            <div class="open-path__header">
                <h3 class="h3 wtotem_table__title wtotem_title-info__title">
                  <?php echo \JText::_("WTOTEM_OPEN_PATHS") ?>
                    <span class="wtotem_title-info__info wtotem-tooltip wtotem-tooltip-top">
                    <span class="wtotem-tooltip__content">
                        <span class="wtotem-tooltip__header"><?php echo \JText::_("WTOTEM_OPEN_PATHS") ?></span>
                        <span class="wtotem-tooltip__text"><?php echo \JText::_("WTOTEM_OPEN_PATHS_TOOLTIP") ?> </span>
                    </span>
                </span>
                </h3>

                <button class="open-path__force-check-btn force_check" data-service="ops">
                  <?php echo \JText::_("WTOTEM_FORCE_CHECK") ?>
                    <img width="18px" height="18px" src="<?= $variables['images_path']; ?>recheck.svg" class="svg-icon">
                </button>
            </div>
            <div class="open-path__last-check">
                <div class="open-path__last-status">
                    <p class="open-path__last-status-title"><?php echo \JText::_("WTOTEM_STATUS") ?></p>
                    <p class="open-path__last-status-value <?= $variables['open_path']['status']['class']; ?>" id="ops_status"><?= $variables['open_path']['status']['text']; ?></p>
                </div>
                <div class="open-path__last-check-date">
                    <p class="open-path__last-check-date-title"><?php echo \JText::_("WTOTEM_LAST_TEST") ?></p>
                    <p class="open-path__last-check-date-value" id="ops_last_check"><?= $variables['open_path']['last_test']; ?></p>
                </div>
            </div>
        </div>

      <?php if( $variables['open_path']['paths'] ):?>
          <div class="open-path__result"><p class="open-path__result-title"><?php echo \JText::_("WTOTEM_OPEN_PATHS") ?></p>
              <ul class="open-path__result-list" id="open_paths_wrap">
                <?php include 'open_paths.php' ?>
              </ul>
          </div>
      <?php else : ?>
          <div class="open-path__no-data">
              <div class="open-path__no-data-text">
                  <p class="open-path__no-data-heading"><?php echo \JText::_("WTOTEM_EVERYTHING_IS_OK") ?></p>
                  <div class="open-path__no-data-status">
                      <img width="18px" height="18px" src="<?= $variables['images_path']; ?>everything-is-ok.svg" class="svg-icon">
                    <?php echo \JText::_("WTOTEM_NO_OPEN_PATHS_FOUND") ?>
                  </div>
              </div>
          </div>
      <?php endif ?>
    </div>
</div>
